# Uses of Interface
org.eclipse.emf.compare.diff.IDiffEngine

Packages that use IDiffEngine
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.rcp

## Uses of IDiffEngine in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IDiffEngine
Modifier and Type
Field
Description
`protected IDiffEngine`
EMFCompare.Builder.`diffEngine`
The IDiffEngine to use to compute comparison.
Methods in org.eclipse.emf.compare with parameters of type IDiffEngine
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setDiffEngine(IDiffEngine de)`
Sets the IDiffEngine to be used to compute Diff.
Constructors in org.eclipse.emf.compare with parameters of type IDiffEngine
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IDiffEngine in org.eclipse.emf.compare.diff

Classes in org.eclipse.emf.compare.diff that implement IDiffEngine
Modifier and Type
Class
Description
`class`
`DefaultDiffEngine`
The diff engine is in charge of actually computing the differences between the objects mapped by a `Match` object.

## Uses of IDiffEngine in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IDiffEngine
Modifier and Type
Method
Description
`IItemRegistry<IDiffEngine>`
EMFCompareRCPPlugin.`getDiffEngineDescriptorRegistry()`
Returns the registry of Differences engines.